=== src/Makefile ===
ordigo:	vortoj.l3
	@echo "Ordigo, por teni la dosieron bela ..."
	../tools/ordigu vortoj.l3
	touch ordigo
