## eo-spell 2.1.2000.02.25

=== debian/changelog ===
eo-spell (2.1.2000.02.25-61) unstable; urgency=medium

  * myspell-eo: Create and install .bdic files.
  * Fix some of the lintian overrides.
  * Bump Standards-Version. No changes required.
  * debian/copyright: Update Debian copyright year to 2022.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 13 Dec 2022 23:24:35 +0100

eo-spell (2.1.2000.02.25-60) unstable; urgency=medium

  * debian/control:wesperanto: Add missing ${wordlist:Depends}.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 12 Oct 2021 19:56:04 +0200

eo-spell (2.1.2000.02.25-59) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on quilt.
    + Build-Depends-Indep: Drop versioned constraint on
      dictionaries-common-dev.

  [ Agustin Martin Domingo ]
  * Use dh_ sequencer.
  * debian/control:
    - Add Rules-Requires-Root: no.
    - Bump debhelper-compat to 13.
    - No need to explicitly depend on quilt.
    - Bump Standards-Version. No changes required.
    - Add Homepage field.
  * Add some lintian overrides.
  * debian/copyright: Make DEP5.
  * debian/watch: added a fake site to explain that upstream tarball is
    unversioned. Thanks Eriberto Mota.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 01 Oct 2021 00:15:06 +0200

eo-spell (2.1.2000.02.25-58) unstable; urgency=low

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 28 Dec 2020 16:38:51 +0100

eo-spell (2.1.2000.02.25-57) unstable; urgency=medium

  * debian/control:
    - Declare wesperanto Multi-Arch: foreign.
    - Bump Standards-Version. No changes required.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 22 Nov 2018 13:07:26 +0100

eo-spell (2.1.2000.02.25-56) unstable; urgency=medium

  * debian/README.Debian: Do not use diacritics (Closes: #901326).
  * Add a minimal debian/wesperanto.info-wordlist.
  * Bump Standards-Version. No changes required.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 11 Jun 2018 16:59:03 +0200

eo-spell (2.1.2000.02.25-55) unstable; urgency=low

  * New binary package: wesperanto, providing Esperanto plain wordlist.
    Thanks: Dmitry Bogatov <KAction@gnu.org> (Closes: #890293).
  * debian/control:
    - Change Vcs-* for salsa migration.
    - Bump Standards-Version. No changes required.
  * Bump debhelper compat level to 11.
  * debian/copyright: Point to actual GPL-2 license.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 14 Feb 2018 19:15:02 +0100

eo-spell (2.1.2000.02.25-54) unstable; urgency=medium

  * debian/control::myspell-eo: Use Conflicts where needed.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 22 Sep 2015 12:16:05 +0200

eo-spell (2.1.2000.02.25-53) unstable; urgency=medium

  *  debian/control::myspell-eo: Provide hunspell counterparts.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 21 Sep 2015 19:01:14 +0200

eo-spell (2.1.2000.02.25-52) unstable; urgency=medium

  * debian/control:
    - Use Breaks rather than Conflicts.
    - Break possible hunspell-eo to avoid name collisions.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 21 Sep 2015 14:41:19 +0200

eo-spell (2.1.2000.02.25-51) unstable; urgency=medium

  * debian/rules: Make sure build is always done in a reproducible and
    working LC_ALL=C language environment (Closes: #789099).

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 18 Jun 2015 09:03:30 +0200

eo-spell (2.1.2000.02.25-50) unstable; urgency=medium

  * debian/rules: Make the build reproducible.
    Thanks Chris Lamb (Closes: #779161).

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 09 Apr 2015 17:23:23 +0200

eo-spell (2.1.2000.02.25-49) unstable; urgency=low

  * debian/control:
    - Make aspell-eo{,-cx7} "Multi-Arch: foreign" (See aspell-en #763892).
    - Bump Standard-Version. No changes required.
    - Update Vcs-Browser to cgit address.
    - Cosmetic changes.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 06 Oct 2014 15:13:33 +0200

eo-spell (2.1.2000.02.25-48) unstable; urgency=low

  * Rebuild against sid dictionaries-common-dev 1.23.2 to properly clean
    dirs.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 24 Apr 2014 10:47:47 +0200

eo-spell (2.1.2000.02.25-47) unstable; urgency=low

  * Rebuild against sid dictionaries-common-dev 1.23.0.
  * debian/rules: Pass -c option when creating compressed .cwl.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 09 Apr 2014 16:04:51 +0200

eo-spell (2.1.2000.02.25-46) unstable; urgency=low

  * Modify to use dictionaries-common-dev (>= 1.22.0) features:
    - ${ispell:Depends}, ${aspell:Depends}, ${hunspell:Depends}
    - Deal with remove files in debhelper snippet.
  * debian/control: Bump Standards Version. No changes required.
  * debian/control: Canonicalize VCS-* headers.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 04 Mar 2014 18:57:29 +0100

eo-spell (2.1.2000.02.25-45) unstable; urgency=low

  * Create aspell-eo-cx7 package for the Esperanto 7bit "cx" pseudo-charset.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 16 Jan 2012 16:17:15 +0100

eo-spell (2.1.2000.02.25-44) unstable; urgency=low

  * debian/control:
    - Improve myspell-eo suggestions line and add libreoffice.
    - myspell-eo does not need to provide hunspell dictionary.
  * debian/{rules,aspell-eo.info-aspell,iesperanto.info-ispell}:
    - Use auto-compat feature to avoid modification of placeholders
      shipped under /var by maintainer scripts.
  * Migrate from dpatch to quilt. Use 3.0 (quilt) format.
  * debian/rules:
    - Fix lintian debian-rules-missing-recommended-target build-{arch,indep}.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 14 Sep 2011 14:29:29 +0200

eo-spell (2.1.2000.02.25-43) unstable; urgency=low

  * Build Depends on at least dictionaries-common-dev (>= 1.10.5)

