=== debian/control ===
Source: eo-spell
Section: text
Priority: optional
Build-Depends-Indep:
	ispell,
	aspell,
	dictionaries-common-dev (>= 1.29.0),
	qt6-webengine-dev-tools,
	hunspell-tools | myspell-tools | libmyspell-dev (>= 1:3.1-5)
Build-Depends: debhelper-compat (= 13)
Vcs-Git: https://salsa.debian.org/debian/eo-spell.git
Vcs-Browser: https://salsa.debian.org/debian/eo-spell
Homepage: https://kovro.heliohost.org/
Maintainer: Agustin Martin Domingo <agmartin@debian.org>
Standards-Version: 4.6.1.0
Rules-Requires-Root: no

Package: iesperanto
Architecture: all
Depends: ${misc:Depends},
	 debconf | debconf-2.0,
	 ${ispell:Depends}
Provides: ispell-dictionary
Description: Esperanto dictionary for ispell
 This is the Esperanto dictionary for use with the ispell spellchecker,
 version 3.1.04 and following.  The dictionary is based on the words from
 Plena Ilustrita Vortaro, with additional country/language names.  It
 accepts Latin-3, 'cx' and '^c' forms.

Package: wesperanto
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
	 ${wordlist:Depends}
Provides: wordlist
Description: Esperanto dictionary words for /usr/share/dict
 This package provides the file /usr/share/dict/esperanto,
 containing a list of Esperanto words in utf-8 encoding.
 This list can be used by spelling checkers, and by programs
 such as look(1).

Package: myspell-eo
Architecture: all
Depends: ${misc:Depends},
	 ${hunspell:Depends}
Suggests: hunspell,
	  libreoffice-core | openoffice.org-hunspell | openoffice.org-core (>= 2.0.2),
	  iceape-browser | iceweasel | icedove
Breaks: openoffice.org (<= 1.0.3-2)
Conflicts: openoffice.org-spellcheck-eo,
	   hunspell-eo
Provides: openoffice.org-spellcheck-eo,
	  myspell-dictionary,
	  myspell-dictionary-eo,
	  hunspell-dictionary,
	  hunspell-dictionary-eo,
	  hunspell-eo
Replaces: openoffice.org-spellcheck-eo
Description: Esperanto dictionary for myspell
 This is the Esperanto dictionary for use with the myspell spellchecker,
 which is currently used within OpenOffice.org and the mozilla spellchecker.
 The dictionary is based on the words from Plena Ilustrita Vortaro, with
 additional country/language names. It accepts Latin-3 form.

Package: aspell-eo
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
	 ${aspell:Depends}
Provides: aspell-dictionary
Description: Esperanto dictionary for aspell
 This is the Esperanto dictionary for use with the aspell spellchecker.
 The dictionary is based on the words from Plena Ilustrita Vortaro, with
 additional country/language names.

Package: aspell-eo-cx7
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
	 ${aspell:Depends}
Provides: aspell-dictionary
Description: Esperanto dictionary for aspell, "cx" 7bit encoding
 This is the Esperanto dictionary for use with the aspell spellchecker.
 The dictionary is based on the words from Plena Ilustrita Vortaro, with
 additional country/language names.
 .
 This package uses only the 7bit "cx" pseudo-charset.
