## eo-spell 3.7

=== debian/changelog ===
eo-spell (3.7-2) unstable; urgency=medium

  * Make the build reproducible. Thanks Chris Lamb (Closes: #1068300).

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 03 Apr 2024 21:08:27 +0200

eo-spell (3.7-1) unstable; urgency=medium

  * New upstream version.
  * Upgrade Debian package for upstream 3.7 version.
  * rules: Use ispell to create Esperanto wordlist.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 01 Apr 2024 23:38:30 +0200

eo-spell (2.1.2000.02.25-62) unstable; urgency=medium

  * Make myspell-eo a transitional package depending on hunspell-eo.
  * debian/control: Bump Standards-version. No changes required.
  * debian/rules: Minor improvements in wordlist creation.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 12 Feb 2024 09:46:55 +0100
