=== debian/control ===
--- 
+++ 
@@ -5,14 +5,13 @@
 	ispell,
 	aspell,
 	dictionaries-common-dev (>= 1.29.0),
-	qt6-webengine-dev-tools,
 	hunspell-tools | myspell-tools | libmyspell-dev (>= 1:3.1-5)
 Build-Depends: debhelper-compat (= 13)
 Vcs-Git: https://salsa.debian.org/debian/eo-spell.git
 Vcs-Browser: https://salsa.debian.org/debian/eo-spell
 Homepage: https://kovro.heliohost.org/
 Maintainer: Agustin Martin Domingo <agmartin@debian.org>
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 
 Package: iesperanto
@@ -39,29 +38,6 @@
  This list can be used by spelling checkers, and by programs
  such as look(1).
 
-Package: myspell-eo
-Architecture: all
-Depends: ${misc:Depends},
-	 ${hunspell:Depends}
-Suggests: hunspell,
-	  libreoffice-core | openoffice.org-hunspell | openoffice.org-core (>= 2.0.2),
-	  iceape-browser | iceweasel | icedove
-Breaks: openoffice.org (<= 1.0.3-2)
-Conflicts: openoffice.org-spellcheck-eo,
-	   hunspell-eo
-Provides: openoffice.org-spellcheck-eo,
-	  myspell-dictionary,
-	  myspell-dictionary-eo,
-	  hunspell-dictionary,
-	  hunspell-dictionary-eo,
-	  hunspell-eo
-Replaces: openoffice.org-spellcheck-eo
-Description: Esperanto dictionary for myspell
- This is the Esperanto dictionary for use with the myspell spellchecker,
- which is currently used within OpenOffice.org and the mozilla spellchecker.
- The dictionary is based on the words from Plena Ilustrita Vortaro, with
- additional country/language names. It accepts Latin-3 form.
-
 Package: aspell-eo
 Architecture: all
 Multi-Arch: foreign
@@ -85,3 +61,15 @@
  additional country/language names.
  .
  This package uses only the 7bit "cx" pseudo-charset.
+
+Package: myspell-eo
+Architecture: all
+Multi-Arch: foreign
+Section: oldlibs
+Depends: hunspell-eo,
+	 ${misc:Depends}
+Description: transitional dummy package
+ This is a dependency package for migration to hunspell-eo
+ This package is here only to ensure smooth upgrades from
+ myspell-eo to hunspell-eo.
+ It can be safely removed afterwards.
